Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.vocabulary
Interface DAMLVocabulary

All Known Implementing Classes:
  DAML_OIL

    public interface DAMLVocabulary

A marker interface for a DAML vocabulary, that will, in future, migrate towards providing support for versioning DAML and RDF namespaces, and, specifically, supporting multiple DAML vocabularies for DAML terms.

Version:
  CVS info: $Id: DAMLVocabulary.java,v 1.10 2008/01/02 12:07:28 andy_seaborne Exp $
Author:
  Ian Dickinson, HP Labs (email)

Field Summary
`static java.lang.String` | `NAMESPACE_DAML_2000_12_URI` DAML namespace URI for the December 2000 release
`static java.lang.String` | `NAMESPACE_DAML_2001_03_URI` DAML namespace URI for the March 2001 release

Method Summary
`Property` | `cardinality()` Answer the RDF Property for the DAML cardinality property on Restrictions
`Property` | `cardinalityQ()` Answer the RDF Property for the DAML cardinalityQ property on Restrictions
`Resource` | `Class()` Answer the RDF resource for DAML Class class (a DAML sub-class of rdfs:Class).
`Property` | `comment()` Answer the Alias for rdfs:comment in daml namespace
`Property` | `complementOf()` Answer the RDF Property for the complementOf property on class expressions
`Resource` | `Datatype()` Answer the RDF resource for DAML Datatype class (a DAML sub-class of rdfs:Class).
`Resource` | `DatatypeProperty()` Answer the RDF resource for DAML DatatypeProperty class (a DAML sub-class of rdf:Property).
`Property` | `differentIndividualFrom()` Answer the RDF Property for the DAML differentIndvidualFrom property on instances
`Property` | `disjointUnionOf()` Answer the RDF Property for the DAML disjointUnionOf property on Classes
`Property` | `disjointWith()` Answer the RDF Property for the DAML disjointWith property on Classes
`Property` | `domain()` Answer the Alias for rdfs:domain in daml namespace
`Property` | `equivalentTo()` Answer the RDF Property for the equivalentTo property on DAML values
`Property` | `first()` Answer the RDF Property for the DAML first property on Lists
`Property` | `hasClass()` Answer the RDF Property for the DAML hasClass property on Restrictions
`Property` | `hasClassQ()` Answer the RDF Property for the DAML hasClassQ property on Restrictions
`Property` | `hasValue()` Answer the RDF Property for the DAML hasValue property on Restrictions
`Property` | `imports()` Answer the RDF Property for the DAML imports property on Ontologies
`Property` | `intersectionOf()` Answer the RDF Property for the intersectionOf property on class expressions
`Property` | `inverseOf()` Answer the RDF Property for the DAML inverseOf property on Properties
`Property` | `isDefinedBy()` Answer the Alias for rdfs:isDefinedBy in daml namespace
`Property` | `item()` Answer the RDF Property for the DAML item property on Lists
`Property` | `label()` Answer the Alias for rdfs:label in daml namespace
`Resource` | `List()` Answer the RDF resource for DAML List class.
`Resource` | `Literal()` Answer the Alias for rdfs:Literal in the daml namespace.
`Property` | `maxCardinality()` Answer the RDF Property for the DAML maxCardinality property on Restrictions
`Property` | `maxCardinalityQ()` Answer the RDF Property for the DAML maxCardinalityQ property on Restrictions
`Property` | `minCardinality()` Answer the RDF Property for the DAML minCardinality property on Restrictions
`Property` | `minCardinalityQ()` Answer the RDF Property for the DAML minCardinalityQ property on Restrictions
`Resource` | `NAMESPACE_DAML()` Answer the DAML namespace resource for the current release
`Resource` | `nil()` Answer the RDF resource for the nil (empty) list.
`Resource` | `Nothing()` Answer the RDF resource for the bottom type (i.e. the super-type of no types).
`Resource` | `ObjectProperty()` Answer the RDF resource for DAML ObjectProperty class (a DAML sub-class of rdf:Property).
`Property` | `oneOf()` Answer the RDF Property for the oneOf property on DAML class expressions
`Property` | `onProperty()` Answer the RDF Property for the DAML onProperty property on Restrictions
`Resource` | `Ontology()` Answer the RDF resource for DAML Ontology class
`Resource` | `Property()` Answer the Alias for rdfs:Property in the daml namespace.
`Property` | `range()` Answer the Alias for rdfs:range in daml namespace
`Property` | `rest()` Answer the RDF Property for the DAML rest property on Lists
`Resource` | `Restriction()` Answer the RDF resource for DAML Restriction class
`Property` | `sameClassAs()` Answer the RDF Property for the DAML sameClassAs property on Classes
`Property` | `sameIndividualAs()` Answer the RDF Property for the DAML sameIndividualAs property on instances
`Property` | `samePropertyAs()` Answer the RDF Property for the DAML samePropertyAs property on Properties
`Property` | `seeAlso()` Answer the Alias for rdfs:seeAlso in daml namespace
`Property` | `subClassOf()` Answer the Alias for rdfs:subClassOf in daml namespace
`Property` | `subPropertyOf()` Answer the Alias for rdfs:subPropertyOf in daml namespace
`Resource` | `Thing()` Answer the RDF resource for the top type (i.e. the super-type of all types).
`Property` | `toClass()` Answer the RDF Property for the DAML toClass property on Restrictions
`Resource` | `TransitiveProperty()` Answer the RDF resource for DAML TransitiveProperty class
`Property` | `type()` Answer the Alias for rdf:type in daml namespace
`Resource` | `UnambiguousProperty()` Answer the RDF resource for DAML UnambiguousProperty class
`Property` | `unionOf()` Answer the RDF Property for the unionOf property on class expressions
`Resource` | `UniqueProperty()` Answer the RDF resource for DAML UniqueProperty class
`Property` | `value()` Answer the Alias for rdf:value in daml namespace
`Property` | `versionInfo()` Answer the RDF Property for the DAML versionInfo property

Field Detail

### NAMESPACE_DAML_2001_03_URI

    static final java.lang.String NAMESPACE_DAML_2001_03_URI

  DAML namespace URI for the March 2001 release

  See Also:
    Constant Field Values

### NAMESPACE_DAML_2000_12_URI

    static final java.lang.String NAMESPACE_DAML_2000_12_URI

  DAML namespace URI for the December 2000 release

  See Also:
    Constant Field Values

Method Detail

### NAMESPACE_DAML

    Resource NAMESPACE_DAML()

  Answer the DAML namespace resource for the current release

### List

    Resource List()

  Answer the RDF resource for DAML List class.

### UniqueProperty

    Resource UniqueProperty()

  Answer the RDF resource for DAML UniqueProperty class

### TransitiveProperty

    Resource TransitiveProperty()

  Answer the RDF resource for DAML TransitiveProperty class

### UnambiguousProperty

    Resource UnambiguousProperty()

  Answer the RDF resource for DAML UnambiguousProperty class

### Restriction

    Resource Restriction()

  Answer the RDF resource for DAML Restriction class

### Ontology

    Resource Ontology()

  Answer the RDF resource for DAML Ontology class

### nil

    Resource nil()

  Answer the RDF resource for the nil (empty) list.

### Thing

    Resource Thing()

  Answer the RDF resource for the top type (i.e. the super-type of all types).

### Nothing

    Resource Nothing()

  Answer the RDF resource for the bottom type (i.e. the super-type of no types).

### Literal

    Resource Literal()

  Answer the Alias for rdfs:Literal in the daml namespace.

### Class

    Resource Class()

  Answer the RDF resource for DAML Class class (a DAML sub-class of rdfs:Class).

### Datatype

    Resource Datatype()

  Answer the RDF resource for DAML Datatype class (a DAML sub-class of rdfs:Class).

### DatatypeProperty

    Resource DatatypeProperty()

  Answer the RDF resource for DAML DatatypeProperty class (a DAML sub-class of rdf:Property).

### ObjectProperty

    Resource ObjectProperty()

  Answer the RDF resource for DAML ObjectProperty class (a DAML sub-class of rdf:Property).

### Property

    Resource Property()

  Answer the Alias for rdfs:Property in the daml namespace.

### versionInfo

    Property versionInfo()

  Answer the RDF Property for the DAML versionInfo property

### imports

    Property imports()

  Answer the RDF Property for the DAML imports property on Ontologies

### disjointWith

    Property disjointWith()

  Answer the RDF Property for the DAML disjointWith property on Classes

### disjointUnionOf

    Property disjointUnionOf()

  Answer the RDF Property for the DAML disjointUnionOf property on Classes

### sameClassAs

    Property sameClassAs()

  Answer the RDF Property for the DAML sameClassAs property on Classes

### samePropertyAs

    Property samePropertyAs()

  Answer the RDF Property for the DAML samePropertyAs property on Properties

### oneOf

    Property oneOf()

  Answer the RDF Property for the oneOf property on DAML class expressions

### intersectionOf

    Property intersectionOf()

  Answer the RDF Property for the intersectionOf property on class expressions

### unionOf

    Property unionOf()

  Answer the RDF Property for the unionOf property on class expressions

### complementOf

    Property complementOf()

  Answer the RDF Property for the complementOf property on class expressions

### equivalentTo

    Property equivalentTo()

  Answer the RDF Property for the equivalentTo property on DAML values

### onProperty

    Property onProperty()

  Answer the RDF Property for the DAML onProperty property on Restrictions

### toClass

    Property toClass()

  Answer the RDF Property for the DAML toClass property on Restrictions

### hasValue

    Property hasValue()

  Answer the RDF Property for the DAML hasValue property on Restrictions

### hasClass

    Property hasClass()

  Answer the RDF Property for the DAML hasClass property on Restrictions

### hasClassQ

    Property hasClassQ()

  Answer the RDF Property for the DAML hasClassQ property on Restrictions

### cardinality

    Property cardinality()

  Answer the RDF Property for the DAML cardinality property on Restrictions

### minCardinality

    Property minCardinality()

  Answer the RDF Property for the DAML minCardinality property on Restrictions

### maxCardinality

    Property maxCardinality()

  Answer the RDF Property for the DAML maxCardinality property on Restrictions

### cardinalityQ

    Property cardinalityQ()

  Answer the RDF Property for the DAML cardinalityQ property on Restrictions

### minCardinalityQ

    Property minCardinalityQ()

  Answer the RDF Property for the DAML minCardinalityQ property on Restrictions

### maxCardinalityQ

    Property maxCardinalityQ()

  Answer the RDF Property for the DAML maxCardinalityQ property on Restrictions

### inverseOf

    Property inverseOf()

  Answer the RDF Property for the DAML inverseOf property on Properties

### first

    Property first()

  Answer the RDF Property for the DAML first property on Lists

### rest

    Property rest()

  Answer the RDF Property for the DAML rest property on Lists

### item

    Property item()

  Answer the RDF Property for the DAML item property on Lists

### subPropertyOf

    Property subPropertyOf()

  Answer the Alias for rdfs:subPropertyOf in daml namespace

### type

    Property type()

  Answer the Alias for rdf:type in daml namespace

### value

    Property value()

  Answer the Alias for rdf:value in daml namespace

### subClassOf

    Property subClassOf()

  Answer the Alias for rdfs:subClassOf in daml namespace

### domain

    Property domain()

  Answer the Alias for rdfs:domain in daml namespace

### range

    Property range()

  Answer the Alias for rdfs:range in daml namespace

### label

    Property label()

  Answer the Alias for rdfs:label in daml namespace

### comment

    Property comment()

  Answer the Alias for rdfs:comment in daml namespace

### seeAlso

    Property seeAlso()

  Answer the Alias for rdfs:seeAlso in daml namespace

### isDefinedBy

    Property isDefinedBy()

  Answer the Alias for rdfs:isDefinedBy in daml namespace

### sameIndividualAs

    Property sameIndividualAs()

  Answer the RDF Property for the DAML sameIndividualAs property on instances

### differentIndividualFrom

    Property differentIndividualFrom()

  Answer the RDF Property for the DAML differentIndvidualFrom property on instances

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP